package model;
// Generated Jan 11, 2019 11:51:24 PM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Routines generated by hbm2java
 */
@Entity
@Table(name="routines"
    ,catalog="mydb"
)
public class Routines  implements java.io.Serializable {


     private Integer idRoutines;
     private DifficultyLevel difficultyLevel;
     private String routineName;
     private String routineGoal;
     private String routineDescription;
     private Set<UsersHasRoutines> usersHasRoutineses = new HashSet<UsersHasRoutines>(0);

    public Routines() {
    }

	
    public Routines(DifficultyLevel difficultyLevel, String routineName) {
        this.difficultyLevel = difficultyLevel;
        this.routineName = routineName;
    }
    public Routines(DifficultyLevel difficultyLevel, String routineName, String routineGoal, String routineDescription, Set<UsersHasRoutines> usersHasRoutineses) {
       this.difficultyLevel = difficultyLevel;
       this.routineName = routineName;
       this.routineGoal = routineGoal;
       this.routineDescription = routineDescription;
       this.usersHasRoutineses = usersHasRoutineses;
    }

    
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idRoutines", unique=true, nullable=false)
    public Integer getIdRoutines() {
        return this.idRoutines;
    }
    
    public void setIdRoutines(Integer idRoutines) {
        this.idRoutines = idRoutines;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="difficulty_level_iddifficulty_level", nullable=false)
    public DifficultyLevel getDifficultyLevel() {
        return this.difficultyLevel;
    }
    
    public void setDifficultyLevel(DifficultyLevel difficultyLevel) {
        this.difficultyLevel = difficultyLevel;
    }

    
    @Column(name="routine_name", nullable=false, length=45)
    public String getRoutineName() {
        return this.routineName;
    }
    
    public void setRoutineName(String routineName) {
        this.routineName = routineName;
    }

    
    @Column(name="routine_goal", length=45)
    public String getRoutineGoal() {
        return this.routineGoal;
    }
    
    public void setRoutineGoal(String routineGoal) {
        this.routineGoal = routineGoal;
    }

    
    @Column(name="routine_description", length=45)
    public String getRoutineDescription() {
        return this.routineDescription;
    }
    
    public void setRoutineDescription(String routineDescription) {
        this.routineDescription = routineDescription;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="routines")
    public Set<UsersHasRoutines> getUsersHasRoutineses() {
        return this.usersHasRoutineses;
    }
    
    public void setUsersHasRoutineses(Set<UsersHasRoutines> usersHasRoutineses) {
        this.usersHasRoutineses = usersHasRoutineses;
    }






}


